# 第3章 ブラウザテストの自動化 サンプルコード

## 事前準備

    $ bundle install

## コマンド一覧

    $ bundle exec rake -T
    rake headless          # prepare xvfb for headless
    rake selenium:android  # runs AndroidDriver
    rake selenium:chrome   # runs chromedriver
    rake selenium:firefox  # runs FirefoxDriver
    rake selenium:ios      # runs ios-driver

## AndroidDriver のサンプルコードの動作

本誌記事を参考に、Androidの実機・エミュレータにSelenium WebDriverをインストール・起動しておく

    $ rake selenium:android

## ios-driver のサンプルコードの動作

本誌記事を参考に、ios-serverを起動しておく

    $ rake selenium:ios

## FirefoxDriver のサンプルコードの動作

    $ rake selenium:firefox

Linuxのheadless環境の場合

    $ rake headless selenium:firefox

## chromedriver のサンプルコードの動作

    $ rake selenium:chrome
