require "selenium-webdriver"

# setup chrome driver
user_agent = "Mozilla/5.0 (iPhone; U; CPU iPhone OS 2_0_1 like Mac OS X; ja-jp) " \
             "AppleWebKit/533.1 (KHTML, like Gecko) Version/3.1.1 Mobile/5B108 Safari/525.20"

driver = ::Selenium::WebDriver.for(:chrome, args: [ "--user-agent=#{user_agent}" ])

# whenever you can abort
at_exit { driver.quit }

# accessing google
driver.get "http://www.google.co.jp"

# takes screenshot
driver.save_screenshot("chrome.png")

# you can write any additional code below
# or you can use repl
# require "pry"
# driver.pry
