#
# Web+DB Press Vol [XX] 
# 特集 []
# 第2章
# サンプルコード: step_definition.rb
#

# ステップ4、6、8に対応
Then /^I take screenshot with filename "([^\"]*)"$/ do |filename|
    FileUtils.mkdir_p(RESULT_SCREENSHOTS_PATH) if !FileTest.exists?(RESULT_SCREENSHOTS_PATH)
    # 与えられたファイル名でスクリーンショットを取得
    screenshot({:prefix => "#{RESULT_SCREENSHOTS_PATH}/", :name => filename})
end

# ステップ2に対応
Then /^I take ([\d\.]+) screenshot with name prefix "([^\"]*)"$/ do |num, name_prefix|
    num = num.to_i
    num < 1 ? 1 : num
    FileUtils.mkdir_p(RESULT_SCREENSHOTS_PATH) if !FileTest.exists?(RESULT_SCREENSHOTS_PATH)
    # 連番のついたファイル名でスクリーンショットを保存する
    count = 0
    while count < num do
        count += 1
        filename = name_prefix + "_" + count.to_s
        screenshot({:prefix => "#{RESULT_SCREENSHOTS_PATH}/", :name => filename})
    end
end

