require "selenium-webdriver"

# setup firefox driver
capabilities = ::Selenium::WebDriver::Remote::Capabilities.iphone(language: "ja", locale: "ja")
driver = ::Selenium::WebDriver.for(:remote, desired_capabilities: capabilities)

# whenever you can abort
at_exit { driver.quit }

# accessing google
driver.get "http://www.google.co.jp"

# takes screenshot
driver.save_screenshot("ios.png")

# you can write any additional code below
# or you can use repl
# require "pry"
# driver.pry
